package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 区域站表
 * </p>
 *
 * @author wh
 * @since 2024-04-25
 */
@TableName("district")
@ApiModel(value="District对象", description="区域站表")
public class District extends Model<District> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "区域名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "企业id")
    @TableField("enterprise_id")
    private Integer enterpriseId;

    @ApiModelProperty(value = "区域所在地")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理商id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "上级id")
    @TableField("supervisor_id")
    private Long supervisorId;

    @ApiModelProperty(value = "省")
    @TableField("province")
    private String province;

    @ApiModelProperty(value = "市")
    @TableField("city")
    private String city;

    @ApiModelProperty(value = "县")
    @TableField("countyseat")
    private String countyseat;

    @ApiModelProperty(value = "备注信息")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "联系人")
    @TableField("contact")
    private String contact;

    @ApiModelProperty(value = "联系人邮箱")
    @TableField("mail")
    private String mail;

    @ApiModelProperty(value = "楼座数量")
    @TableField("buildCount")
    private Integer buildCount;

    @ApiModelProperty(value = "站点编号")
    @TableField("district_number")
    private String districtNumber;

    @ApiModelProperty(value = "联系方式")
    @TableField("phone")
    private String phone;

    @TableField("advise_url")
    private String adviseUrl;

    @ApiModelProperty(value = "安装类型")
    @TableField("install_type")
    private Integer installType;

    @ApiModelProperty(value = "报警值")
    @TableField("warning")
    private Integer warning;

    @ApiModelProperty(value = "是否安装空气检测器")
    @TableField("airdetector_flag")
    private Integer airdetectorFlag;

    @ApiModelProperty(value = "appH5地址")
    @TableField("app_url")
    private Long appUrl;

    @ApiModelProperty(value = "小程序H5地址")
    @TableField("applet_url")
    private Long appletUrl;

    @ApiModelProperty(value = "报警值")
    @TableField("warning2")
    private Integer warning2;

    @ApiModelProperty(value = "报警值")
    @TableField("warning3")
    private Integer warning3;

    @ApiModelProperty(value = "报警值")
    @TableField("warning_time")
    private Integer warningTime;

    @ApiModelProperty(value = "上线-状态")
    @TableField("online_state")
    private Integer onlineState;

    @ApiModelProperty(value = "纸量百分比变0阀值")
    @TableField("paper_percent_warn")
    private Integer paperPercentWarn;

    @TableField("point_state")
    private Integer pointState;

    @TableField("assignment_work_state")
    private Integer assignmentWorkState;

    @ApiModelProperty(value = "空气检测器折线开关")
    @TableField("air_state")
    private Integer airState;

    @ApiModelProperty(value = "站点首字母")
    @TableField("first_character")
    private String firstCharacter;

    @ApiModelProperty(value = "业态")
    @TableField("business_format")
    private String businessFormat;

    @ApiModelProperty(value = "销售id")
    @TableField("sales_id")
    private Long salesId;

    @ApiModelProperty(value = "销售名称")
    @TableField("sales_name")
    private String salesName;

    @ApiModelProperty(value = "属性ID")
    @TableField("attribute_id")
    private Long attributeId;

    @ApiModelProperty(value = "属性名称")
    @TableField("attribute_name")
    private String attributeName;

    @ApiModelProperty(value = "是否允许直接手表打卡0:否;1:是")
    @TableField("punch_flag")
    private Integer punchFlag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(Long supervisorId) {
        this.supervisorId = supervisorId;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountyseat() {
        return countyseat;
    }

    public void setCountyseat(String countyseat) {
        this.countyseat = countyseat;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public Integer getBuildCount() {
        return buildCount;
    }

    public void setBuildCount(Integer buildCount) {
        this.buildCount = buildCount;
    }

    public String getDistrictNumber() {
        return districtNumber;
    }

    public void setDistrictNumber(String districtNumber) {
        this.districtNumber = districtNumber;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAdviseUrl() {
        return adviseUrl;
    }

    public void setAdviseUrl(String adviseUrl) {
        this.adviseUrl = adviseUrl;
    }

    public Integer getInstallType() {
        return installType;
    }

    public void setInstallType(Integer installType) {
        this.installType = installType;
    }

    public Integer getWarning() {
        return warning;
    }

    public void setWarning(Integer warning) {
        this.warning = warning;
    }

    public Integer getAirdetectorFlag() {
        return airdetectorFlag;
    }

    public void setAirdetectorFlag(Integer airdetectorFlag) {
        this.airdetectorFlag = airdetectorFlag;
    }

    public Long getAppUrl() {
        return appUrl;
    }

    public void setAppUrl(Long appUrl) {
        this.appUrl = appUrl;
    }

    public Long getAppletUrl() {
        return appletUrl;
    }

    public void setAppletUrl(Long appletUrl) {
        this.appletUrl = appletUrl;
    }

    public Integer getWarning2() {
        return warning2;
    }

    public void setWarning2(Integer warning2) {
        this.warning2 = warning2;
    }

    public Integer getWarning3() {
        return warning3;
    }

    public void setWarning3(Integer warning3) {
        this.warning3 = warning3;
    }

    public Integer getWarningTime() {
        return warningTime;
    }

    public void setWarningTime(Integer warningTime) {
        this.warningTime = warningTime;
    }

    public Integer getOnlineState() {
        return onlineState;
    }

    public void setOnlineState(Integer onlineState) {
        this.onlineState = onlineState;
    }

    public Integer getPaperPercentWarn() {
        return paperPercentWarn;
    }

    public void setPaperPercentWarn(Integer paperPercentWarn) {
        this.paperPercentWarn = paperPercentWarn;
    }

    public Integer getPointState() {
        return pointState;
    }

    public void setPointState(Integer pointState) {
        this.pointState = pointState;
    }

    public Integer getAssignmentWorkState() {
        return assignmentWorkState;
    }

    public void setAssignmentWorkState(Integer assignmentWorkState) {
        this.assignmentWorkState = assignmentWorkState;
    }

    public Integer getAirState() {
        return airState;
    }

    public void setAirState(Integer airState) {
        this.airState = airState;
    }

    public String getFirstCharacter() {
        return firstCharacter;
    }

    public void setFirstCharacter(String firstCharacter) {
        this.firstCharacter = firstCharacter;
    }

    public String getBusinessFormat() {
        return businessFormat;
    }

    public void setBusinessFormat(String businessFormat) {
        this.businessFormat = businessFormat;
    }

    public Long getSalesId() {
        return salesId;
    }

    public void setSalesId(Long salesId) {
        this.salesId = salesId;
    }

    public String getSalesName() {
        return salesName;
    }

    public void setSalesName(String salesName) {
        this.salesName = salesName;
    }

    public Long getAttributeId() {
        return attributeId;
    }

    public void setAttributeId(Long attributeId) {
        this.attributeId = attributeId;
    }

    public String getAttributeName() {
        return attributeName;
    }

    public void setAttributeName(String attributeName) {
        this.attributeName = attributeName;
    }

    public Integer getPunchFlag() {
        return punchFlag;
    }

    public void setPunchFlag(Integer punchFlag) {
        this.punchFlag = punchFlag;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "District{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", districtName=" + districtName +
        ", enterpriseId=" + enterpriseId +
        ", address=" + address +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", supervisorId=" + supervisorId +
        ", province=" + province +
        ", city=" + city +
        ", countyseat=" + countyseat +
        ", memo=" + memo +
        ", contact=" + contact +
        ", mail=" + mail +
        ", buildCount=" + buildCount +
        ", districtNumber=" + districtNumber +
        ", phone=" + phone +
        ", adviseUrl=" + adviseUrl +
        ", installType=" + installType +
        ", warning=" + warning +
        ", airdetectorFlag=" + airdetectorFlag +
        ", appUrl=" + appUrl +
        ", appletUrl=" + appletUrl +
        ", warning2=" + warning2 +
        ", warning3=" + warning3 +
        ", warningTime=" + warningTime +
        ", onlineState=" + onlineState +
        ", paperPercentWarn=" + paperPercentWarn +
        ", pointState=" + pointState +
        ", assignmentWorkState=" + assignmentWorkState +
        ", airState=" + airState +
        ", firstCharacter=" + firstCharacter +
        ", businessFormat=" + businessFormat +
        ", salesId=" + salesId +
        ", salesName=" + salesName +
        ", attributeId=" + attributeId +
        ", attributeName=" + attributeName +
        ", punchFlag=" + punchFlag +
        "}";
    }
}
